import { jsx } from "react/jsx-runtime";
import { TokenNAP as TokenNAP$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenNAP = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "NAP", "data-name": "TokenNAP", ...props, children: /* @__PURE__ */ jsx(TokenNAP$1, { variant }) });
  }
);
TokenNAP.displayName = "TokenNAP";
Object.assign(TokenNAP, { isGdsIcon: true });
export {
  TokenNAP
};
